.portada-costaBrava{
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.intro-costaBrava{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5% 20% 5% 20%;
    width: 90vw;
    margin: 0 auto;
    

    p{
        text-align: center;
    }
}

.background-queFer{
    height: 50vh;
    background: #fff var(--backgroundImage02) center ;
    z-index: -1;
    position: absolute; 
    width: 100%;
    padding-top: 50px;
}

/* GRID DE QUÊ FER */

.grid-que-fer {
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    gap: 60px; 
    padding: 0 10% 5% 10%;
    margin: 0 auto;
    position: relative;
    row-gap: 100px; /* Augmentem una mica el gap total per tenir marge de maniobra */
    /*
    background-image: linear-gradient(to bottom, 
        transparent calc(52% - 0.5px), 
        #D1C198 calc(52% - 0.5px), 
        #D1C198 calc(52% + 0.5px), 
        transparent calc(52% + 0.5px)
    );
    background-repeat: no-repeat;
    background-size: 80% 100%; 
    background-position: center;
     */
}

.grid-que-fer .element-qf {
    border:none;
}


.header-qf{
    display: flex;
    flex-direction: row;
    align-items: end;
    gap: 15px;
}

.header-qf img{
    height: 70px;
    width: auto;
}

.titol-qf{
    font-family: "Inter", sans-serif;
    font-weight: 600;
    font-size: var(--sectionTitleFontSize);
    color: #D1C198;
    margin:0;
    line-height: 1;
}

.cos-qf img{
    width: 100%;
    border-radius: 40px; 
    margin-bottom: 20px;
}

.bottom-qf{
    display: flex;
    justify-content: end;
}

/* GALERIA */

#galeria-costa{
    background: #E5DCC8 var(--backgroundImage02) center;
    padding-top:50px;
}




.altre-establiment{
    background: url("../img/altreHotelBackground-G0HTMi5.jpg") center / cover no-repeat;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
    padding: 3% 0 5% 0;
}

.logo-altre img{
    width: 300px;
    height: auto;
}

.hero-altre h3{
    color: #fff;
    font-family: "Inter", sans-serif;
    font-size: 2.5rem;
    text-align: center;
    font-weight: 700;
    line-height: normal;
}


/* RESPONSIVE */

@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1400px)
  and (-webkit-min-device-pixel-ratio: 2) {

    .background-queFer {
        height: 530px;
    }
    
    .grid-que-fer {
        padding: 200px 10% 5% 10%;
        /*
        background-image: linear-gradient(to bottom, transparent calc(53% - 0.5px), #D1C198 calc(53% - 0.5px), #D1C198 calc(53% + 0.5px), transparent calc(53% + 0.5px));
         */
    }

    
    
  }


  /* TABLET FINS A 1024px */

@media screen and (max-width: 1024px) {

    .background-queFer {
        height: 560px;
    }
    
    .grid-que-fer {
        padding: 25px 10% 5% 10%;
        grid-template-columns: repeat(1, 1fr);
        background-image: none;
    }

    .hero-altre h3 {
        padding: 0 10%;
    }

    .element-qf{
        border-bottom: solid 1px #D1C198;
        padding-bottom: 50px;
    }

    .cultura-qf{
        border-bottom: none;
    }

}


/* --- MÒBIL (Per defecte i fins a 600px aprox) */
@media only screen 
and (min-device-width: 320px) 
and (max-device-width: 568px)
and (-webkit-min-device-pixel-ratio: 2)
and (orientation: portrait) {

    
    .background-queFer {
        height: 600px;
        background-size: cover;

        h2{
            padding: 0 5%;
        }
    }

    .grid-que-fer {
        grid-template-columns: repeat(1, 1fr);
        padding: 250px 10% 5% 10%;
        row-gap: 50px;
    }

    .grid-que-fer {
        background-image: none;
    }
    .element-qf{
        border-bottom: solid 1px #D1C198;
        padding-bottom: 25px;
    }

    .cultura-qf{
        border-bottom: none;
    }

    .logo-altre img {
        width: 250px;
        padding-top: 50px;
    }

    .hero-altre h3 {
        font-size: 2rem;
        padding: 0 10%;
    }
    .altre-establiment {
        padding: 3% 0 10% 0;
    }

}